<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui">

    <h:outputStylesheet name="css/extraction/#{css}" />
    <p:remoteCommand name="updateVariables" update="variableList,#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, messageWarningStep3" />
    <ui:param name="variables" value="#{uiBean.uiVariable.availablesVariables}" />
    <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.panels.variablesChoiceStep" var="variablesChoiceStep"/>
    <h:panelGroup id="messageWarningStep3">
        <h:outputText value="#{variablesChoiceStep.PARAM_MSG_INTRO}"
                      rendered="#{not uiBean.uiVariable.variableStepIsValid and not empty variables}"
                      styleClass="selectionEmpty" />
        <h:outputText value="#{variablesChoiceStep.PARAM_MSG_NO_RESULT_FOR_SELECT}"
                      rendered="#{empty variables}"
                      styleClass="selectionEmpty" />
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper" layout="block">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},variableList" styleClass="buttonStepNext" 
                               action="#{uiBean.uiVariable.addAllVariables}" oncomplete="updateVariables()" >
                    <h:graphicImage value="#{resource['images:add.png']}" />
                    <h:outputText value="#{variablesChoiceStep.PARAM_MSG_ADD_ALL}" />
                </p:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},variableList" styleClass="buttonStepNext"
                               action="#{uiBean.uiVariable.removeAllVariables}" oncomplete="updateVariables()" >
                    <h:graphicImage value="#{resource['images:remove_selection.png']}" />
                    <h:outputText value="#{variablesChoiceStep.PARAM_MSG_DELETE_ALL}" />
                </p:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>
    <p:dataTable id="variableList"  value="#{uiBean.uiVariable.datatypes}" var="datatype"  expandableRowGroups="true" 
                 sortBy="#{datatype}" 
                 widgetVar="variableWidgetVar"> 
        <p:headerRow>
            <p:column colspan="1" >
                <h:outputText value="#{uiBean.uiVariable.getLocalizedDatatype(datatype)}" />
                <p:spacer width="10" />
                <p:triStateCheckbox value="#{uiBean.uiVariable.selectedVariablesByDatatype.get(datatype)}" 

                                    stateTwoIcon="checkboxSome" 
                                    stateThreeIcon="checkBoxAll">  
                    <p:ajax event="change" oncomplete="updateVariables()" listener="#{uiBean.uiVariable.selectVariable(datatype)}"/>  
                </p:triStateCheckbox>
            </p:column>
        </p:headerRow>
        <p:column >             
            <p:dataTable id="zzsdz" var="variable" value="#{variables.get(uiBean.uiVariable.getLocalizedDatatype(datatype))}" 
                         sortBy="#{variable.variable.categorievariable.cvariable_nom}" expandableRowGroups="true" >
                <p:headerRow>
                    <p:column colspan="1">
                        <h:outputText value="#{variable.variable.categorievariable.cvariable_nom}" />
                        <p:spacer width="10" />
                        <p:triStateCheckbox value="#{uiBean.uiVariable.selectedVariablesByDatatypeAndGroupeVariable.get(datatype).get(variable.variable.categorievariable.cvariable_nom)}" 
                                            stateTwoIcon="checkboxSome" 
                                            stateThreeIcon="checkBoxAll">  
                            <p:ajax event="change" oncomplete="updateVariables()" listener="#{uiBean.uiVariable.selectVariable(datatype, variable.variable.categorievariable.cvariable_nom)}"/>  
                        </p:triStateCheckbox>  
                    </p:column>
                </p:headerRow>
                <p:column>
                    <p:commandLink value="#{variable.variable.affichage} (#{variable.localizedName})" process="@this" 
                                   action="#{uiBean.uiVariable.selectVariable(variable)}" oncomplete="updateVariables()">
                    </p:commandLink>
                    <h:graphicImage name="images/check.png"  rendered="#{variable.selected}" />
                </p:column>
            </p:dataTable>
        </p:column>
    </p:dataTable>
</html>